[bisq-network/bisq] Monitoring install scripts (#3985)

wiz notifications at github.com
Thu Feb 20 13:25:08 UTC 2020


wiz requested changes on this pull request.



> @@ -0,0 +1,66 @@
+#!/bin/sh

```suggestion
#!/bin/bash
```

> @@ -0,0 +1,66 @@
+#!/bin/sh
+set -e
+
+echo "[*] Bisq Server Monitoring installation script"
+
+##### change paths if necessary for your system
+BISQ_REPO_URL=https://raw.githubusercontent.com/bisq-network/bisq
+BISQ_REPO_TAG=master
+ROOT_USER=root
+ROOT_GROUP=root
+ROOT_HOME=~root
+ROOT_PKG="nginx collectd openssl"

```suggestion
ROOT_PKG=(nginx collectd openssl)
```

> +
+SYSTEMD_ENV_HOME=/etc/default
+
+#####
+
+echo "[*] Gathering information"
+read -p "Please provide the onion address of your service (eg. 3f3cu2yw7u457ztq): " onionaddress
+
+echo "[*] Updating apt repo sources"
+sudo -H -i -u "${ROOT_USER}" DEBIAN_FRONTEND=noninteractive apt-get update -q
+
+echo "[*] Upgrading OS packages"
+sudo -H -i -u "${ROOT_USER}" DEBIAN_FRONTEND=noninteractive apt-get upgrade -qq -y
+
+echo "[*] Installing base packages"
+sudo -H -i -u "${ROOT_USER}" DEBIAN_FRONTEND=noninteractive apt-get install -qq -y ${ROOT_PKG}

```suggestion
sudo -H -i -u "${ROOT_USER}" DEBIAN_FRONTEND=noninteractive apt-get install -qq -y ${ROOT_PKG[@]}
```

> +
+echo "[*] Gathering information"
+read -p "Please provide the onion address of your service (eg. 3f3cu2yw7u457ztq): " onionaddress
+
+echo "[*] Updating apt repo sources"
+sudo -H -i -u "${ROOT_USER}" DEBIAN_FRONTEND=noninteractive apt-get update -q
+
+echo "[*] Upgrading OS packages"
+sudo -H -i -u "${ROOT_USER}" DEBIAN_FRONTEND=noninteractive apt-get upgrade -qq -y
+
+echo "[*] Installing base packages"
+sudo -H -i -u "${ROOT_USER}" DEBIAN_FRONTEND=noninteractive apt-get install -qq -y ${ROOT_PKG}
+
+echo "[*] Preparing Bisq init script for monitoring"
+# remove stuff it it is there already
+sudo -H -i -u "${ROOT_USER}" sed -i -e 's/ -Dcom.sun.management.jmxremote //g' -e 's/-Dcom.sun.management.jmxremote.local.only=true//g' -e 's/ -Dcom.sun.management.jmxremote.host=127.0.0.1//g' -e 's/ -Dcom.sun.management.jmxremote.port=6969//g' -e 's/ -Dcom.sun.management.jmxremote.rmi.port=6969//g' -e 's/ -Dcom.sun.management.jmxremote.ssl=false//g' -e 's/ -Dcom.sun.management.jmxremote.authenticate=false//g' "${SYSTEMD_ENV_HOME}/bisq.env"

```suggestion
sudo -H -i -u "${ROOT_USER}" sed -i -e 's/-Dcom.sun.management.jmxremote //g' -e 's/-Dcom.sun.management.jmxremote.local.only=true//g' -e 's/ -Dcom.sun.management.jmxremote.host=127.0.0.1//g' -e 's/ -Dcom.sun.management.jmxremote.port=6969//g' -e 's/ -Dcom.sun.management.jmxremote.rmi.port=6969//g' -e 's/ -Dcom.sun.management.jmxremote.ssl=false//g' -e 's/ -Dcom.sun.management.jmxremote.authenticate=false//g' "${SYSTEMD_ENV_HOME}/bisq.env"
```

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/bisq-network/bisq/pull/3985#pullrequestreview-361892082
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.bisq.network/pipermail/bisq-github/attachments/20200220/0bf50fb9/attachment.html>


More information about the bisq-github mailing list